<!DOCTYPE html>
<html>
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script type="text/javascript" src="//code.jquery.com/jquery-1.10.2.js"></script>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" ></script>
    <meta charset="utf-8">
    <title>Valuelink redirecting....</title>
    <meta name="author" content="Valuelink">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

</head>
<body>
<style>
    body {font-family: Arial, Helvetica, sans-serif;}
        .modal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 1; /* Sit on top */
        padding-top: 100px; /* Location of the box */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color: rgb(0,0,0); /* Fallback color */
        background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
        background-color: #fefefe;
        margin: auto;
        padding: 20px;
        border: 1px solid #888;
        width: 80%;
        }

        /* The Close Button */
        .close {
        color: #aaaaaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
        }

        .close:hover,
        .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
        }
</style>


<h2>ValueLink</h2>
<!-- The Modal -->
<div id="myModal" class="modal" data-keyboard="false"  data-backdrop="static">
    <div class="modal-content"  data-keyboard="false"  data-backdrop="static">
        <!--        <span class="close">&times;</span>-->
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Privacy Policy</h4>
        </div>
        <div class="modal-body">
            <div>GDPR rules</div>
            <a href="https://www.example.com">Click here for more details</a>
        </div>
        <div class="modal-footer">
            <button id="btnDecline" type="button" class="btn btn-default" data-dismiss="modal" onclick="redirect()">Decline</button>
            <button id="btnAccept" type="button" class="btn btn-primary" onclick="setCookie('test')">Continue</button>
        </div>
    </div>
</div>

    <p>Redirecting to <b>https://atorico.com</b>...</p>

   <script>

       const redirectUrl="http://localhost:8080";

       window.addEventListener('load', function() {
           const gdprCookieValue = getCookieValue("gdpr");
           if (gdprCookieValue) {
               console.log("has gdpr cookie value: " + gdprCookieValue);
               hideModal();
               const landed = updateLandedCookie();
               redirectHref("auto-redirected-cookie-already-there-" + landed);
               return;
           }
           var modal = document.getElementById("myModal");
           modal.style.display = "block";

           var btnDecline = document.getElementById("btnDecline");
           var btnAccept = document.getElementById("btnAccept");

           var btnClose = document.getElementsByClassName("close")[0];

           btnClose.onclick = function() {
               hideModal();
               declineCookie();
               redirectHref("closed");
           }

           btnDecline.onclick = function(event) {
               hideModal();
               declineCookie();
               redirectHref("declined");
           }
           btnAccept.onclick = function(event) {
               hideModal();
               acceptCookie("gdpr=" + uuidv4());
               redirectHref("accepted");
           }

       });
       
       function hideModal(){
           const modal = document.getElementById("myModal");
           modal.style.display = "none";
       }

       function declineCookie(){
           deleteCookies();

           function deleteCookies() {
               if(window.document.cookie){
                   const cookies = window.document.cookie
                     .split('; ');
                   if (cookies){
                       cookies
                        .filter(row => row.indexOf('=') > 0 )
                        .map(row => row.split('=')[0] )
                        .forEach(cookie => deleteCookie(cookie));
                   }
               }

           }
           /*
           * Taken from: https://stackoverflow.com/a/2144404
           */
           function deleteCookie( name, path, domain ) {
             if( getCookie( name ) ) {
               document.cookie = name + "=" +
                 ((path) ? ";path="+path:"") +
                 ((domain) ? ";domain="+domain:"") +
                 ";expires=Thu, 01 Jan 1970 00:00:01 GMT";
             }
           }
       }
       /*
       * Taken from: https://stackoverflow.com/a/2144404
       */
       function getCookie(name){
           if(window.document.cookie){
               return window.document.cookie
                   .split(';')
                   .find(c => {
                       return c.trim().startsWith(name + '=');
                   });
           }
       }
       function getCookieValue(name){
           const cookie = getCookie(name);
           if (!cookie){
               return 0;
           }
           const cookieValue = cookie.split('=')[1];
           return cookieValue;
       }
       function getCookieValueNumeric(name){
           const cookieValue = getCookieValue(name);
           return parseInt(cookieValue);
       }

       function acceptCookie(cookie){
           window.document.cookie = `${cookie}`;
           updateLandedCookie();
       }
       function updateLandedCookie(){
           const prevClicks = getCookieValueNumeric("landed");
           let click=prevClicks ? prevClicks : 0;
           click += 1;
           window.document.cookie = `landed=${click}`;
           return click;
       }
       
       function uuidv4() {
         return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
           var r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
           return v.toString(16);
         });
       }
 
       function redirectHref(param){
           //debugger;
           window.location.href = redirectUrl + '#href-redirect-param=' + param;
       }


   </script>
</body>
</html>
